code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
set -euo pipefail
DISK_MIN_AVAILABLE=${DISK_MIN_AVAILABLE:-5242880} # 5GB
DISK_MIN_INODES=${DISK_MIN_INODES:-250000} # docker needs lots
DOCKER_DIR="/var/lib/docker/"
disk_avail=$(df -k --output=avail "$DOCKER_DIR" | tail -n1)
echo "Disk space free: $(df -k -h --output=avail "$DOCKER_DIR" | tail -n1 | s... | holmesjr/elastic-ci-stack-for-aws | packer/linux/conf/bin/bk-check-disk-space.sh | Shell | mit | 789 |
#!/bin/sh
set -ex
if ! [ -f ~/build-cache/librdkafka/usr/local/include/librdkafka/rdkafka.h ] || ! [ -f ~/build-cache/librdkafka/usr/local/bin/kafkacat ]; then
echo "librdkafka build is not cached"
git clone --depth 1 --branch "${LIBRDKAFKA_VERSION:-1.5.0}" "${LIBRDKAFKA_REPOSITORY_URL:-https://github.com/ed... | arnaud-lb/php-rdkafka | .github/workflows/test/build-librdkafka.sh | Shell | mit | 991 |
rm -rf db
rm -rf incremental_db
rm -f *.rpt
rm -f *.done
rm -f *.dpf
rm -f *.summary
rm -f *.pin
rm -f *.pof
rm -f *.qws
rm -f *.rbf
rm -f *.sof
rm -f *.smsg
rm -f *.jdi
| mshr-h/stopwatch_verilog | clean.sh | Shell | mit | 171 |
#!/usr/bin/env bash
mongod -f /etc/mongodb.conf &
sleep 2
yes | /opt/go/bin/shock-server -conf /opt/run/config/shock.conf &
sleep 3
pkill shock-server
pkill mongod
| kbaseIncubator/mock_kbase | build/scripts/init_shock.sh | Shell | mit | 164 |
for i in `seq 1 4` ; do
# Note! If execution time exceeds 1 minute, remove the sed-part!!
SAMPLE=$({ time stardog query -f CSV $2 ../queries/$1.rq > /dev/null; } 2>&1 | grep real | sed 's/[^0-9+\.0-9+]//g' )
Echo "$1,$2,noreasoner,$i,$SAMPLE"
done
| aaltodsg/instans-reasoning | tests/lubm/stardog-test/speed-no-reason.sh | Shell | mit | 260 |
#!/usr/bin/env bash
# Defaults
SILENT=0
CIRCUSCTL="python3 -m circus.circusctl --timeout 10"
# Colors (for printinfo/error/warn below)
green=$(tput setaf 76)
red=$(tput setaf 1)
tan=$(tput setaf 3)
reset=$(tput sgr0)
printinfo() {
if [ ${SILENT} -eq 0 ]
then
printf "::: ${green}%s${reset}\n" "$@"
... | thorrak/fermentrack | utils/cleanup_utils/fix_sqlite_for_django_2.sh | Shell | mit | 1,691 |
WGET_ARGS=( https://download.kde.org/stable/applications/18.08.0/ -A '*.tar.xz' )
| maximilianhuber/myconfig | nix/nixpkgs/pkgs/applications/kde/fetch.sh | Shell | mit | 82 |
#!/bin/bash
#######################################################
#
# Parallel Version of bm_satoetal_TP.sh
#
#######################################################
dos2unix *.sh
ROOT="${VSC_DATA}/thesis"
DATASETFILE="data/Ecoli_DIP_20160114CR_100%_Rand_Processed.txt"
ID=$1
NB_R_SAMPLES=25
# 1) BLAST -> MUSCLE... | maxdy/BioTools | TrEEProfiler/bm_DIP.sh | Shell | mit | 5,282 |
#!/bin/bash
script_dir=$(dirname "$(realpath "$0")")
for nucc in "$script_dir"/*nucc*; do
[[ "$nucc" -nt "$latest" ]] && latest="$nucc"
done
"$latest" "$@"
| orodley/nucleus | snapshots/latest.sh | Shell | mit | 159 |
#!/usr/bin/env bash
current_dir=$(cd `dirname $0`; pwd)
cd current_dir
# download ssdb
if [ ! -d "$current_dir/ssdb-master" ]; then
wget https://github.com/ideawu/ssdb/archive/master.zip
unzip master.zip
rm -rf master.zip
fi
# download docker-nsenter
if [ ! -d "$current_dir/nsenter-master" ]; then
wget https... | atupal/ccrawler | libs/download_thirdparty_libs.sh | Shell | mit | 412 |
fswebcam -p YUYV -d /dev/video0 -i 0 -r 640x480 -S 40 --jpeg 75 --top-banner "image.jpg"
| UdayanSinha/Code_Blocks | RPi/Shell_Programs/USB_Webcam.sh | Shell | mit | 89 |
get_rss() { # int (int pid) - returns resident size in KB
PID=$1
if [ "$(uname -s)" == "Darwin" ]; then
cat /proc/$PID/task/basic_info/resident_size|sed -E 's/[^0-9]//g';
else # assume linux
cat /proc/$PID/status|grep VmRSS:|sed -r 's/[^0-9]//g'
fi
}
sleep_fine() {
python -c 'import time;time.sleep('... | rsms/smisk | debug/functions.sh | Shell | mit | 942 |
#!/bin/bash
#
#
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# Greenplum
export GREENPLUM_HOST=gpdb
export GREENPLUM_USER=gpadmin
export GREENPLUM_DB=basic_db
export GREENPLUM_DB_PWD=pivotal
export PGPASSWORD=${GREENPLUM_DB_PWD}
| kongyew/greenplum-spark-connector | data/scripts/setEnv.sh | Shell | mit | 241 |
#!/bin/bash
## --------------------------------------------------------------------------------------------------------------------
set -e
# install any required packages
echo "Fetching new code ..."
git fetch
git rebase origin/master
echo
# now call install.sh (since it's now been updated)
./scripts/install.sh
## ... | chilts/nodejs-geek-nz | scripts/deploy.sh | Shell | mit | 437 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-3010-1
#
# Security announcement date: 2016-06-20 00:00:00 UTC
# Script generation date: 2017-01-01 21:05:30 UTC
#
# Operating System: Ubuntu 12.04 LTS
# Architecture: i386
#
# Vulnerable packages fix on version:
# - libexpat1:2.0.1-7.2ubuntu1.4
# - lib... | Cyberwatch/cbw-security-fixes | Ubuntu_12.04_LTS/i386/2016/USN-3010-1.sh | Shell | mit | 793 |
#!/usr/bin/env bash
# Installs latest reporter state, including added dependencies
# Copy over the package and install
# Expects to be run from within ./mock
install_reporter() {
cp ./../package.json ./package.json
npx yarn
# Copy over eth-gas-reporter
if [ ! -e node_modules/eth-gas-reporter ]; then
mkd... | cgewecke/eth-gas-reporter | mock/scripts/install_reporter.sh | Shell | mit | 602 |
#!/bin/bash
set -eu
# EXTRACT TIME SH
# Extract final times
# Provide a directory full of model.logs
THIS=$( readlink --canonicalize $( dirname $0 ) )
SUPERVISOR=$( readlink --canonicalize $THIS/../../.. )
source $SUPERVISOR/workflows/common/sh/utils.sh
SIGNATURE -H "Provide an experiment DIR (e.g., .../experiments... | ECP-CANDLE/Supervisor | workflows/cp-leaveout/scripts/extract-time.sh | Shell | mit | 697 |
# Add
if [ -f /usr/local/etc/bash_completion.d/rake ]; then
. /usr/local/etc/bash_completion.d/rake
fi
| jeremyf/dotfiles | ruby/completion.bash | Shell | mit | 105 |
#!/bin/sh
#By piping the output of grep to head,
#print out the first (and only the first) line in sonnets.txt
#containing “rose”.
grep -n rose sonnets.txt | head -n 1
| ReanyAlex/unix_and_bash | command-line/chap3_4ex3.sh | Shell | mit | 173 |
#!/bin/sh
carthage bootstrap --no-checkout
carthage checkout
carthage build --cache-builds
| Molbie/Outlaw-SpriteKit | run_car.sh | Shell | mit | 92 |
GIT=https://github.com/sajattack/terminfo
function recipe_version {
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
skip=1
}
function recipe_update {
echo "skipping update"
skip=1
}
function recipe_build {
echo "skipping build"
skip=1
}
function recipe_test {
... | redox-os/cookbook | recipes/terminfo/recipe.sh | Shell | mit | 516 |
#!/usr/bin/env bash
# A trap is a piece of code that the shell would execute on receiveing a signal.
# Here we telling bash to exit when it receives SIGINT.
trap "exit" INT
echo ' Task , f~1 , f~2 , f~3 , f~4 , f~5 , average'
# This receiv... | se4u/neural_wfst | src/python/tabulate_transduction.sh | Shell | mit | 6,169 |
#!/bin/sh
# Copyright (C) Renesas Electronics Corporation 2016-2018 All rights reserved.
usage()
{
cat << EOF
usage: `basename $0` [-f] [-d] source-directory
-f: fource copy. ignore md5check
-d: debug mode
Ex)
`basename $0` -f my_package_dir
EOF
}
##### MD5 list #####
. `dirname $0`/md5list.txt
... | renesas-rcar/meta-renesas | meta-rcar-gen3/docs/sample/copyscript/copy_evaproprietary_softwares.sh | Shell | mit | 29,639 |
mkdir -p regressionResult
ballRadius=0
if (( $# >= 1 ))
then
ballRadius=$1
fi
echoWhetherPassed()
{
printf "\n\n"
while read compareString1 <&3 && read compareString2 <&4; do
if [ "$compareString1" == "$compareString2" ] >/dev/null ; then
echo "$compareString1" "$compareString2" Passed
... | zhfkt/ComplexCi | bin/regressionTest.sh | Shell | mit | 1,227 |
#!/bin/sh
set -e
DIR="$(cd "$(dirname "${0}")/.." && pwd)"
cd "${DIR}"
if [ -z "${GOPATH}" ]; then
echo "error: GOPATH not set" >&2
exit 1
fi
export PACKAGE="pedge.flightaware"
export JAVA_PACKAGE="com.pedge.flightaware"
export GO_PACKAGE="flightaware"
export TYPE_PREFIX="FlightXML2:"
export WSDL_IN_URL="http:/... | peter-edge/flightaware | go/internal/bin/flightaware.sh | Shell | mit | 682 |
# installing python packages
cd $HOME/local/src
rm -f get-pip.*
wget --no-check-certificate https://bootstrap.pypa.io/get-pip.py
$HOME/local/bin/python3 get-pip.py
rm -f get-pip.*
$HOME/local/bin/python3 -m pip install pip
$HOME/local/bin/python3 -m pip install pip-review
$HOME/local/bin/python3 -m pip install Cython
$... | zuoanqh/bootstrapping | get_pip3.sh | Shell | mit | 631 |
#!/bin/sh
for i in * ; do
if [ -d "$i" ] && [ ! -e "$i.epub" ]; then
echo "Building $i.epub..."
cd $i
zip ../$i.epub mimetype
zip ../$i.epub META-INF/
zip ../$i.epub META-INF/container.xml
zip ../$i.epub -r *
cd -
fi
done
| blinkboxbooks/android-app | app/scripts/buildepubs.sh | Shell | mit | 288 |
#!/bin/bash
jobs="my-test-job-1 my-test-job-2 my-test-job-3"
user="user"
password="password"
curl="curl --user $user:$password"
curl="curl"
jenkins_url="http://myjenkins.com"
for j in $jobs
do
disable_url="$curl -o /dev/null --data disable $jenkins_url/job/$j/disable"
# enable_url="$curl -o /dev/null --data enable... | coolhacks/scripts-hacks | scripts/Shell-smilejay/sh2014/disable_jenkins_jobs.sh | Shell | mit | 392 |
#!/usr/bin/env zsh
# Note: it doesn't check git here, the environment should have git if this script already downloaded.
# Back to home
cd ~
mkdir -p .local/bin
# Setup git global config
if [[ -f ~/.gitconfig ]]; then
echo "~/.gitconfig exists, skipped."
else
cp ~/.unix_settings/.gitconfig ~
fi
# Get diff-... | elsdrium/.unix_settings | install.sh | Shell | mit | 2,503 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2879-1
#
# Security announcement date: 2016-01-21 00:00:00 UTC
# Script generation date: 2017-01-01 21:05:08 UTC
#
# Operating System: Ubuntu 15.04
# Architecture: i686
#
# Vulnerable packages fix on version:
# - rsync:3.1.1-3ubuntu0.15.04.1
#
# Last vers... | Cyberwatch/cbw-security-fixes | Ubuntu_15.04/i686/2016/USN-2879-1.sh | Shell | mit | 625 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-3316-1
#
# Security announcement date: 2015-07-25 00:00:00 UTC
# Script generation date: 2017-01-26 21:11:46 UTC
#
# Operating System: Debian 7 (Wheezy)
# Architecture: i386
#
# Vulnerable packages fix on version:
# - openjdk-7:7u79-2.5.6-1~deb7u1
#
# Las... | Cyberwatch/cbw-security-fixes | Debian_7_(Wheezy)/i386/2015/DSA-3316-1.sh | Shell | mit | 1,075 |
echo ""
echo "FRIGGING BOOTSTRAP: UPDATING BOWER VERSION"
echo "======================================================="
VERSION=`npm version|grep -e "frigging-bootstrap[^:]*: '[0-9\.]*"|grep -E [0-9\.]+|grep -oE "[0-9\.]+"`
sed -i.bak -e "s/\"version\": \"[^\"]*\"/\"version\": \"$VERSION\"/g" bower.json
rm bower.json.... | frig-js/frigging-bootstrap | scripts/version.sh | Shell | mit | 371 |
rsync -avr --prune-empty-dirs --exclude-from=exclude ../raw/ .
| sauloal/cnidaria | analysis/data/converters/copy_getters.sh | Shell | mit | 63 |
myls -l
myps -c
mychmod 0777 ../mybatch.sh -c
| antoinevdm/LaboOS | mybatch.sh | Shell | mit | 46 |
make TEST_FILE=test_basic_color.c && ./test_basic_color.exe
| fccm/gln | examples/test_basic_color.sh | Shell | mit | 60 |
#!/bin/zsh
export PYTHONPATH=../build/release/bin/python
last=""
inotifywait -m clingo -e modify |
while read fpath action file; do
case "$file" in
*.py)
echo "file: $file"
current="$(/usr/bin/md5sum "$fpath/$file")"
if [[ "$last" != "$current" ... | potassco/clingo | libpyclingo/watch.sh | Shell | mit | 510 |
#!/bin/bash
for f in "$1"*
do
echo "$(basename "$f")" $'\t' $(file -bi "$f")
done
#> "/home/mike/Downloads/EMST_output/mimetypes.txt" | odaata/HisTEI | frameworks/emst/resources/get-mimetypes.sh | Shell | mit | 139 |
#!/bin/bash
set -x # echo on
# A utility for manipulating ini files.
sudo apt-get -qq install crudini
| gusenov/auto-soft-install | install/crudini.sh | Shell | mit | 104 |
#!/bin/bash
python RunSimulation.py --Geo 1.0 --sim_num 62
| xji3/IGCCodonSimulation | ShFiles/YDR418W_YEL054C_IGCgeo_1.0_sim_62.sh | Shell | mit | 59 |
#!/bin/bash
echo ">> Install PostgreSQL"
sudo rpm -Uvh http://yum.postgresql.org/9.5/redhat/rhel-7-x86_64/pgdg-centos95-9.5-2.noarch.rpm
sudo yum update -y
sudo yum install -y postgresql95-server postgresql95
# make init database
sudo /usr/pgsql-9.5/bin/postgresql95-setup initdb
# start and enable postgresql service
... | oanhnn/my-centos-env | script/postgresql.sh | Shell | mit | 1,023 |
# Maintainer: Shintaro Kaneko <kaneshin0120@gmail.com>
# Last Change: 29-Apr-2017.
# alias
## ls command
alias ls='ls -F'
alias la='ls -a'
alias ll='ls -la'
alias sl="ls"
alias l='ls -la'
alias l.='ls -d .*'
## cd command
alias ..='cd ..'
alias ...='cd ../..'
alias ....='cd ../../..'
alias ce='cd ..'
alias cd..='cd ... | kaneshin/dotfiles | bundle/.zsh/alias.zsh | Shell | mit | 748 |
# color completion
zmodload -a colors
zmodload -a autocomplete
zmodload -a complist
# testing color completion
zstyle ':completion:*' list-colors ${(s.:.)LS_COLORS}
zstyle ':completion:*' list-colors 'reply=( "=(#b)(*$VAR)(?)*=00=$color[green]=$color[bg-green]" )'
zstyle ':completion:*:*:*:*:hosts' list-colors '=*=30;... | mhelmer/dotfiles | zsh/completion.zsh | Shell | mit | 757 |
#!/bin/bash
GREP=`which grep`
HEAD=`which head`
LS=`which ls`
SCP=`which scp`
SSH=`which ssh`
SORT=`which sort`
RM=`which rm`
UNIQ=`which uniq`
XARGS=`which xargs`
LOCAL_PATH="$1"
FILEMASK="$2"
NUM_OF_LAST_FILES_REMAINING="$3"
### DO NOT EDIT BELOW THIS LINE ###
function print_usage() {
echo "Usage: "
echo "$... | goodylabs/radogost | scripts/rotate_latest_backups.sh | Shell | mit | 856 |
#!/bin/sh
. ./variables.sh
export EXTERNAL_UUID=$(uuidgen)
export EXTERNAL_GIT_ORIGIN=$(git remote get-url origin)
envsubst < build-job.yaml | kubectl create -f -
sleep 10
kubectl logs --follow=true --container='build-job' $(kubectl get pods --show-all --selector=job-name=build-job-${EXTERNAL_UUID} --output=jsonpa... | MicrosoftDX/MB-ForensicWatermark | k8s/build-image-on-kubernetes.sh | Shell | mit | 349 |
#!/usr/bin/env bash
# Python 2.7 下运行
fab -f wang1_bk.py update
fab -f wang1_su.py restart
fab -f wang1_bk.py backup
| bukun/bkcase | DevOps/run_wang1.sh | Shell | mit | 124 |
# Find the folder containing this script
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# Setup for the build
BUILD_DIR="${DIR}/build-temp"
PRODUCTS_DIR="${BUILD_DIR}/Build/Products"
OUTPUT_DIR="${DIR}/dist"
PROJECT_PATH="${DIR}/GroovesharkSDK/GroovesharkSDK.xcodeproj"
TARGET_NAME=GroovesharkSDK
FRAMEWORK_NAM... | danielgindi/grooveshark-objc-sdk | build-framework.sh | Shell | mit | 1,987 |
#!/bin/bash
#---------------------------------EDIT HERE-----------------------------------------
name="webhook"
shot_desc="Deployment webhook"
desc="A simple webhook written in Go."
user="$(whoami)" #the user name that will run the script
dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" #get this bash script di... | dvddarias/webhook | init_install.sh | Shell | mit | 4,228 |
pylint --rcfile=.pylintrc `find . -iname '*.py'`
| PandaStabber/Goldberg_et_al_2016 | scripts/lint.sh | Shell | mit | 49 |
#!/bin/bash
BASE_DIR=`dirname $0`
echo ""
echo "Starting Karma Server (http://karma-runner.github.io)"
echo "-------------------------------------------------------------------"
/usr/local/bin/karma start $BASE_DIR/../config/karma.conf.js $*
| qinwenshi/wp-writer.js | scripts/test.sh | Shell | mit | 245 |
#!/usr/bin/env bash
# @author Joschi <josua.krause@gmail.com>
# created 2015-02-16 09:00
PNT_DIR="code/pnt"
NDC_DIR="code/ndc"
ICD9_DIR="code/icd9"
CCS_DIR="code/ccs"
CMS_DIR="cms"
JSON_DIR="json"
CMS_SAMPLE_ALL=`seq -s " " 1 20`
base_dir=`pwd`
convert_top_n=3
convert_list=
dictionary="${JSON_DIR}/dictionary.json"
co... | nyuvis/patient-viz | setup.sh | Shell | mit | 19,829 |
#!/bin/bash
echo -n 'checking ruby version: '
type ruby > /dev/null 2>&1 || {
echo >&2
echo >&2 ' ruby is not found'
echo >&2 ' Please install ruby'
exit 1
}
ruby -e 'if RUBY_VERSION < "2.1.0"; exit 1; end' || {
echo >&2
echo >&2 ' ruby version is too old'
echo >&2 ' Please inst... | shio-phys/SPI-FLASH-Programmer | pc/install.sh | Shell | mit | 731 |
#!/usr/bin/env bash
cd $(dirname $0)
clear
/usr/bin/env python server.py
| marlboromoo/basinboa | start_server.sh | Shell | mit | 74 |
#PBS -l nodes=1:ppn=8 -N align
cd /rhome/ywang/bigdata-shared/projects/neurospora_MSUD/allreads_aln_Nc12
~/bam2fastq/bam2fastq-1.1.0/bam2fastq -f --no-aligned 4PF.sorted.bam -o 4PF.unalign.fq
~/bam2fastq/bam2fastq-1.1.0/bam2fastq -f --no-unaligned 4PF.sorted.bam -o 4PF.align.fq
~/bam2fastq/bam2fastq-1.1.0/bam2fastq ... | stajichlab/neurospora_MSUD | sRNA/scripts/unali.stat.sh | Shell | cc0-1.0 | 599 |
#!/bin/sh
######################################################################
#
# @file bildopts.sh
#
# @brief General stuff for extracting options
#
# @version $Rev$ $Date$
#
# Copyright © 2012-2017, Tech-X Corporation, Boulder, CO.
# See LICENSE file (EclipseLicense.txt) for conditions of use.
#
########... | Tech-XCorp/bilder | bildopts.sh | Shell | epl-1.0 | 20,136 |
#!/bin/sh
# This script is executed at install time to change the mode of the directories installed
# $1 mode
# $2 file
chmod $1 $2
| RidgeRun/gstd-1.x | gstd/gstd_chmod.sh | Shell | gpl-2.0 | 133 |
#!/bin/bash
#
# pacsorttest - a test suite for pacsort
#
# Copyright (c) 2013-2014 by Pacman Development Team <pacman-dev@archlinux.org>
# Copyright (c) 2011 by Dan McGee <dan@archlinux.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public L... | TheSLinux-forks/pacman | test/util/pacsorttest.sh | Shell | gpl-2.0 | 4,760 |
#!/system/bin/sh
# ************************************
# SM-G900F Samsung Android 5.0 version
#
# V0.1
# ************************************
# define basic kernel configuration
# path to internal sd memory
SD_PATH="/data/media/0"
# block devices
SYSTEM_DEVICE="/dev/block/platform/msm_sdcc.1/by-name/system"
CA... | andip71/boeffla-kernel-samsung-s5 | ramdisk_boeffla/fs/sbin/boeffla-init.sh | Shell | gpl-2.0 | 9,059 |
#!/bin/sh
#
# Copyright (c) 2002 Network Associates Technology, Inc.
# Copyright (c) International Business Machines Corp., 2005
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version... | rogerq/ltp-ddt | testcases/kernel/security/selinux-testsuite/tests/sigkill/selinux_sigkill.sh | Shell | gpl-2.0 | 6,214 |
#!/bin/sh
aclocal -I macros
libtoolize --automake --force --copy
automake -a -c
autoconf
| s1s0/toped | macros/autogen.sh | Shell | gpl-2.0 | 90 |
#!/bin/sh
gcc -o DHT22vzd DHT22vzd.c -lconfig -lcurl -lwiringPi
| st0ne/DHT22vzd | build.sh | Shell | gpl-2.0 | 64 |
#echo -en "\033[1;34m"
#echo "First, we need to compile the definition of KernelC"
#echo -en "\033[0m"
#echo -en "\033[1;34m"
#echo "This might take a while..."
#echo "kompile.pl kernelc"
#echo -en "\033[0m"
#kompile.pl kernelc
#cp kernelc-compiled.maude kernelc-compiled-demo.maude
#echo -en "\033[1;34m"
#echo -n "Done... | bakineggs/k-framework | examples/languages/research/kernelC/demo/demo-three.sh | Shell | gpl-2.0 | 809 |
#!/bin/bash
make
for file in english200 sources200 xml200 dna200 proteins200; do
for ss in 3 4 5 8 12 16 32; do
for type in 32 64; do
sudo sh -c "sync; echo 3 > /proc/sys/vm/drop_caches"
taskset -c 0 ./test/extractFBCSA $type $ss $file 10000000 1
done
done
done
for file i... | mranisz/fbcsa | extractFBCSA.sh | Shell | gpl-2.0 | 670 |
# export AWS_ACCESS_KEY="Your-Access-Key"
# export AWS_SECRET_KEY="Your-Secret-Key"
today=`date +"%d-%m-%Y","%T"`
logfile="/awslog/automation-instances.log"
# Grab all Instance IDs for REBOOT action and export the IDs to a text file
sudo aws ec2 describe-instances --filters Name=tag:reboot-time,Values=06-00 Name=tag:... | STARTSPACE/aws-ec2-start-stop-reboot-by-timetable | reboot/wd/reboot-wd-06.sh | Shell | gpl-2.0 | 785 |
convert images/OCS-795-A.png -crop 1563x4515+0+0 +repage images/OCS-795-A-0.png
convert -append images/OCS-793-B-1.png images/OCS-795-A-0.png images/OCS-793-B-1.png
rm images/OCS-795-A-0.png
#
#/OCS-795.png
convert images/OCS-795-B.png -crop 1563x627+0+0 +repage images/OCS-795-B-0.png
convert -append images/OCS-793-B-1... | jonnymwalker/Staroslavjanskij-Slovar | scripts/findindents.OCS-795.sh | Shell | gpl-2.0 | 575 |
#!/bin/sh
echo -e "Content-Type: text/plain;\r\n"
grep $QUERY_STRING /tmp/system.cfg
| zioproto/SDK.UBNT.v5.5 | package/ubnt-web/src/getcfg.sh | Shell | gpl-2.0 | 85 |
#!/bin/sh
[ -e /etc/crontabs/root ] || touch /etc/crontabs/root
STAT=$(uci -q get system.@system[0].stat)
if [ "x$STAT" != "x1" ]; then
if grep -q "stat.sh" /etc/crontabs/root; then
grep -v "/sbin/stat.sh" /etc/crontabs/root > /tmp/new_cron
mv /tmp/new_cron /etc/crontabs/root
/etc/init.d/cron restart
fi
exit... | demontefacto/LedePackages | utils/ekooneplstat/files/sbin/stat-cron.sh | Shell | gpl-2.0 | 617 |
cd /data/sanDiego/rsfcGraphAnalysis/data//Group.results.acc.amygdala.paper ; 3dttest++ -mask mask.grey.mddAndCtrl.union.masked+tlrc.HEAD \
-prefix ttest.mddAndCtrl.R_hipp_MTG.covaried \
-center NONE \
-setA Attempter 140_A /data/sanDiego/rsfcGraphAnalysis/data//140_A/rsfc/R_hipp_MTG/R_hipp_MTG.z-score.masked+tlrc.HEAD ... | colmconn/rsfcGraphAnalysis | 07-ttest.withCovariates.mddAndCtrl.R_hipp_MTG.acc.amygdala.paper.sh | Shell | gpl-2.0 | 5,845 |
#!/bin/sh
# example: for f in trace*; do ./stats.sh $f; done
#tr '\r' '\n' < $1 > tmp.$$ && mv tmp.$$ $1
echo "\n\n$1"
## PROBLEM: m is INT.
awk '
BEGIN {c=0; m=0}
{
if ($0 ~ /.*SENTENCE:.+/) {
sentence= $0
pi = toupper($10)
}
###else if ($0 ~ /.*TOTAL.+GL.+CKLICH.*/) c++
else if ($0 ~ /.*TOTAL.+(JEM... | felixengelmann/act-r-sentence-parser-em | VBLD2008/experiments-original/traces/stats.sh | Shell | gpl-2.0 | 1,871 |
# Openstack kilo installation script on ubuntu 14.04
# by kasidit chanchio
# vasabilab, dept of computer science,
# Thammasat University, Thailand
#
# Copyright 2015 Kasidit Chanchio
#
#!/bin/bash -x
#
# neutron
ssh -t openstack@controller sudo /bin/bash -x ./OPSInstaller/controller/exe-stage38-USER-odl-verify-contr... | kasidit/openstack-mitaka-installer | documents/OPSInstaller.example/installer/OSODL-ovs-02-stop-neutron.sh | Shell | gpl-2.0 | 496 |
#!/bin/bash
if [ -f /etc/redhat-release ] ; then
monit_dir="/etc/monit.d"
else
monit_dir="/etc/monit/conf.d"
fi
export script_registry_url="http://inverse.ca/downloads/PacketFence/monitoring-scripts/v1/monit-script-registry.txt"
export script_registry_file="$monit_dir/checks-script-registry"
export script_dir="/u... | jrouzierinverse/packetfence | addons/monit/monitoring-scripts/setup.sh | Shell | gpl-2.0 | 2,011 |
#!/bin/sh
adb reboot bootloader
fastboot flash recovery img/recovery_new.img
fastboot reboot
sleep 15
adb reboot recovery
| Kr0n0/android_device_bq_vegetalte-imgtools | flash_recovery_new.sh | Shell | gpl-2.0 | 123 |
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
check() {
# If our prerequisites are not met, fail anyways.
type -P mount.cifs >/dev/null || return 1
[[ $hostonly ]] || [[ $mount_needs ]] && {
for fs in ${host_fs_types[@]}; ... | zfsonlinux/dracut | modules.d/95cifs/module-setup.sh | Shell | gpl-2.0 | 1,180 |
#!/bin/bash
INPF=$1
WORKDIR=$2
EXED=$3
WDIR=$INPF/grids/cali
cd $WDIR
for file in ./*cali*.grd ; do
gridf=$file
done
for file in ./*cali*.obstr ; do
obstf=$file
done
for file in ./*cali*.mask ; do
maskf=$file
done
cp $WDIR/$gridf $WORKDIR/.
cp $WDIR/$obstf $WORKDIR/.
cp $WDIR/$maskf $WORKDIR/.
gf="'"$gridf"'"
... | CHL-WIS/WIS_PAC | shells/genscript_cali_l4.sh | Shell | gpl-2.0 | 1,483 |
#!/bin/bash
# Extrakt File
# with
# FILENAME
# from
# SOURCE_PATH
# to
# DESTINATION_PATH
# Source Laus-Settings
. /etc/default/laus-setup
apt-get -y install klavaro
| edvapp/autoinstall | laus/scriptsForClasses/UBUNTU1804/610-installKlavaro.sh | Shell | gpl-2.0 | 173 |
#!/bin/bash
# Testando se o nome do arquivo de log foi passado por parâmetro
if [ -z $1 -o -z $2]
then
echo "Erro na passagem de parametros"
echo "Como executar: ./parser.bash <arquivo de log> <arquivo de saida>"
exit 0
fi
LOG_FILE=$1
OUT_FILE=$2
# Convertendo o tempo de início de contato em um valor que fica mai... | danielcbit/vdt | vdt/ContactsLog/parser.bash | Shell | gpl-2.0 | 1,022 |
#!/bin/sh
# ***** BEGIN LICENSE BLOCK *****
# This file is part of Natron <http://www.natron.fr/>,
# Copyright (C) 2015 INRIA and Alexandre Gauthier
#
# Natron is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; e... | AxelAF/Natron | tools/linux/build.sh | Shell | gpl-2.0 | 4,860 |
java -Xms200M -Xmx2000M -cp lib/*:bin org.peerfact.GUIRunner
| flyroom/PeerfactSimKOM_Clone | runGui.sh | Shell | gpl-2.0 | 61 |
#!/bin/bash
set -e
# Global variables:
# ${GV_LOG}: Prefix this variable in echo to log echoed string.
SCRIPT_NAME="$(basename "$(test -L "$0" && readlink "$0" || echo "$0")")"
echo "${GV_LOG}>>>>>>>>> Running ${SCRIPT_NAME} ..."
# Explicitly list dependent packages
# apt-get install -s -y <your-package>
# Install ... | limelime/cust-live-deb | scripts/repository/inst-min-con-05-keyring-00-gnupg/inst-min-con-05-keyring-00-gnupg.sh | Shell | gpl-2.0 | 426 |
#!/bin/bash
apt-get update
apt-get install -y git python python-dev python-pip
cd /mmc_demo/
pip install -r requirements.txt
if [ -f "db.sqlite" ]; then rm ./db.sqlite; fi
python manage.py syncdb --noinput
# python manage.py migrate --noinput
python manage.py loaddata auth.json
python manage.py test_command >& /de... | LPgenerator/django-mmc | demo/.vagrant_bootstrap.sh | Shell | gpl-2.0 | 546 |
require recode
require http
require xml
require url
## Documentation of request format:
## [deprecated] http://sourceforge.net/apps/mediawiki/samygo/index.php?title=MessageBoxService_request_format
## http://wiki.samygo.tv/index.php5/MessageBoxService_request_format
## samsung <hostname|IP>
samsung() (
if [ $# -n... | kriegaex/callmonitor | base/usr/lib/callmonitor/actions.d/samsung.sh | Shell | gpl-2.0 | 3,477 |
#/bin/bash
srchmm=$1
labname=$2
monophonename=$3
source ../settings
source ../envconf
echo "Start force alignment: "`basename $srchmm`
rm -rf $LOGDIR/FORCEALIGN/`basename $srchmm`
mkdir -p $LOGDIR/FORCEALIGN/`basename $srchmm`
rm -rf $ERRORDIR/FORCEALIGN/`basename $srchmm`
mkdir -p $ERRORDIR/FORCEALIGN/`basename $src... | drawfish/VAD_HTK | bash/forcealign.sh | Shell | gpl-2.0 | 1,689 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2009-2020 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | ppannuto/tup | test/t2054-include-rules.sh | Shell | gpl-2.0 | 1,854 |
#!/usr/bin/env bash
if [ "$xREL_TERMINAL_OAUTH2_CLIENT_KEY" == "" ] || [ "$xREL_TERMINAL_OAUTH2_CLIENT_SECRET" == "" ]; then
echo You need to set the following env variables: xREL_TERMINAL_OAUTH2_CLIENT_KEY and xREL_TERMINAL_OAUTH2_CLIENT_SECRET. >&2
echo Get those from http://www.xrel.to/api-apps.html >&2
... | hashworks/xRELTerminalClient | distribute.sh | Shell | gpl-3.0 | 2,454 |
#!/bin/bash -l
#SBATCH -A b2011158
#SBATCH -p core
#SBATCH -n 1
#SBATCH -t 2-00:00:00
#SBATCH -J monitor_mutrep_chr10
dataset_name="chr10"
script_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cmd="pyCMM-mutrep-mutation-reports"
cmd+=" -j $CMM_CLIENT/scripts/hovsep/$dataset_name"_jobs_setup.txt
cmd+=" -l /... | bahamoot/CMM-AL-projects | scripts/hovsep/chr10/gen_mutrep_for_chr10.sh | Shell | gpl-3.0 | 388 |
python manage.py runserver 192.168.0.69:8000
| pmandr/plant_carer | MyGarden/runserver.sh | Shell | gpl-3.0 | 45 |
rsync --recursive --delete --exclude=".svn" ../data/assets ./
java -Xshare:on -classpath ../lib/saxon/saxon9.jar net.sf.saxon.Query ../data/design.xq
| cefn/allyourx | website/output/write.sh | Shell | gpl-3.0 | 150 |
#!/bin/bash
rm -rf output_*
rm wrkpool_*.j??
| jbresearch/simcommsys | Scripts/Clients/EGEE/clean.sh | Shell | gpl-3.0 | 46 |
#!/bin/bash
nohup rackup1.9.1 -s thin -p 4567 & | rvictory/inteldb | production.sh | Shell | gpl-3.0 | 47 |
#!/bin/bash
# When user has selected to simualte data, this bash script is run, which in turn runs
# python programs: sim-mut.py, sim-recsel.py, sim-seq.py.
# If the user chooses to simulate data, hse is not asked to provide reads files.
# If the user chooses workflow insertion analysis, only sim-mut.py and sim-seq.py... | davidwilson-85/easymap | simulator/simulator.sh | Shell | gpl-3.0 | 14,996 |
#!/bin/bash
#1i
. /opt/ownsec/ITSEC-Install-Scripts-ORIG/001.functions/all-scripts.sh
GITREPO=https://github.com/pentestgeek/phishing-frenzy.git
BRANCH=master
GITREPOROOT=/opt/ITSEC/3.Exploitation-Tools/5.SE_Phishing/phishing-frenzy/pentestgeek/phishing-frenzy
GITCONFDIR=/opt/ITSEC/3.Exploitation-Tools/5.SE_Phishing/... | alphaaurigae/ITSEC-Install-Scripts | ITSEC-Install-Scripts-ORIG/3.Exploitation-Tools/5.SE_Phishing/phishing-frenzy/phishing-frenzy-update.sh | Shell | gpl-3.0 | 2,018 |
#!/bin/sh
export PYTHONPATH="/home/eljobe/lib/python"
scraper="/home/eljobe/tools/python/nyamft/scraper.py"
output="/home/eljobe/sarah.lebeckjobe.com/app/nyamft/js/agencies.json"
$scraper $output
| eljobe/nyamft-sites | script/scraper.sh | Shell | gpl-3.0 | 196 |
#! /bin/sh
# find the executable
dir=`dirname $0`
bin=`$dir/../findBin.sh seq`
if [ $? != 0 ]; then
exit
fi
# this is a pretty memory intensive dataset. Let's trade as much runtime for memory as possible:
cmd="$bin -f aln.phy -m DNA -c config.nex -n myRun -s 123"
echo "\n\commandline:\n$cmd\n\n"
eval $cmd
| pombredanne/exa-bayes | examples/dna-unpartitioned/call.sh | Shell | gpl-3.0 | 317 |
#!/bin/bash
: '
@author Marco A Gallegos
@Date 2020/12/18
@Descripcion
Este script debe tomar los backckups "archivo.ext.back" que genero nuetro script
"safe_dotfiles_adopt.sh"
Tested on:
* fedora 32
'
dotfiles=(
"bash" "alacritty" "htop"
)
declare -A context_of_original_files # especificamos que es un ... | marco-gallegos/after-install | dotfiles_restore.sh | Shell | gpl-3.0 | 989 |
## remove empty directory as all archive mail is synced to local server
find /mail-archive-uncompress/ -type d -empty -delete -print
mkdir /mail-archive-uncompress/ 2>/dev/null
chmod 777 /mail-archive-uncompress/
| deependhulla/powermail-debian9 | files/rootdir/usr/local/src/old-archive-tools-lib/make-archive-tools/remove-empty-dir-from-archive.sh | Shell | gpl-3.0 | 214 |
#!/bin/bash
win=$(xdotool search --classname $1)
shift
if [ "x$win" = x ]; then
exec $@
else
xdotool windowactivate $win
fi
| malk/dotfiles | bin/run-or-raise.sh | Shell | gpl-3.0 | 135 |
#!/bin/bash
if ! [ $(id -u) = 0 ]; then
echo "You need to run this script as root user or via sudo!"
exit 1
fi
APPDIR="/opt/openitc/frontend"
INIFILE=/opt/openitc/etc/mysql/mysql.cnf
DUMPINIFILE=/opt/openitc/etc/mysql/dump.cnf
BASHCONF=/opt/openitc/etc/mysql/bash.conf
DEBIANCNF=/etc/mysql/debian.cnf
MYSQL_... | it-novum/openITCOCKPIT | SETUP.sh | Shell | gpl-3.0 | 16,502 |
#!/usr/bin/env bash
set -eu
bin/php-scoper add-prefix --output-dir="libs" --prefix="WC_Order_Search_Admin" --force
composer dump-autoload --working-dir="libs" --classmap-authoritative
| rayrutjes/wc-order-search-admin | bin/scope-deps.sh | Shell | gpl-3.0 | 186 |
#!/bin/bash
# This script is meant to be called by the "install" step defined in
# .travis.yml. See http://docs.travis-ci.com/ for more details.
# The behavior of the script is controlled by environment variabled defined
# in the .travis.yml in the top level folder of the project.
set -e
if [[ "$DISTRIB" == "conda" ]... | SteveDiamond/cvxpy | continuous_integration/Travis/install_dependencies.sh | Shell | gpl-3.0 | 2,727 |
#!/usr/bin/env bash
# -*- ENCODING: UTF-8 -*-
psql -h localhost -U raspberry_web -d raspberry_web
| fryntiz/Raspberry-PI | db/psql.sh | Shell | gpl-3.0 | 99 |
### Determine the name of the backup archive
### This needs to be after we special case USB devices.
# FIXME: backuparchive is no local variable (regardless that it is lowercased)
# If TAPE_DEVICE is specified, use that:
if test "$TAPE_DEVICE" ; then
backuparchive="$TAPE_DEVICE"
LogPrint "Using backup archive... | terreActive/rear | usr/share/rear/prep/NETFS/default/070_set_backup_archive.sh | Shell | gpl-3.0 | 17,659 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.